Bug 550601

Summary: Review Request: themonospot-gui-qt - Qt gui to scan multimedia files using Themonospot
Product: [Fedora] Fedora Reporter: Armando Basile <hmandevteam>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, mtasaka, notting
Target Milestone: ---Flags: mtasaka: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.integrazioneweb.com/themonospot/
Whiteboard:
Fixed In Version: themonospot-gui-qt-0.1.3-6.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-16 17:03:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 550594, 551534, 551860    
Bug Blocks: 550519    

Description Armando Basile 2009-12-26 09:10:02 UTC
SPEC URL: http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-qt.spec
SRPM URL: http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-qt-0.1.2-1.fc12.src.rpm

Description: themonospot-gui-qt is a Mono framework application to create a
graphic frontend to use themonospot base component and his plugins.

Comment 1 Armando Basile 2009-12-29 12:48:10 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-qt.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-qt-0.1.2-2.fc12.src.rpm


changes:
- added BuildRequires: themonospot-base-devel
- removed min. release req. for mono-core and themonospot-base
- added copying.gpl

Comment 2 Armando Basile 2009-12-30 16:12:26 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-qt.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-qt-0.1.3-1.fc12.src.rpm

changes:
- added copying.gpl
- folder used is %{libdir}/themonospot

Comment 3 Armando Basile 2009-12-31 19:40:08 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-qt.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-qt-0.1.3-2.fc12.src.rpm

changes:
- only mono-devel and desktop-file-utils as BuildRequire

Comment 4 Armando Basile 2010-01-01 14:57:19 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-qt.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-qt-0.1.3-3.fc12.src.rpm

changed:
- added themonospot-base-devel and qyoto-devel as BuildRequires

Comment 5 Armando Basile 2010-01-01 17:20:48 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-qt.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-qt-0.1.3-4.fc12.src.rpm

changed:
- modified desktop-file-install macro parameters

Comment 6 Mamoru TASAKA 2010-01-02 16:24:21 UTC
While bug 551534 is not a strict blocker for this review,
bug 551860 should surely be fixed before this bug is approved.

Comment 7 Mamoru TASAKA 2010-01-22 18:39:41 UTC
Well, 
* bug 551860
- Until bug 551860 is fixed, would you consider to add
  the following workaround?

===============================================================
%install
....
....
# workaround for bug 551860
# (Qyoto.Qt requires unversioned libqyotoshared.so)
mkdir -p %{buildroot}%{_libdir}/themonospot
ln -sf %{_libdir}/libqyotoshared.so.? \
	%{buildroot}%{_libdir}/themonospot/libqyotoshared.so
sed -i \
	-e '2i export LD_LIBRARY_PATH=%{_libdir}/themonospot' \
	%{buildroot}%{_bindir}/themonospot-qt

%files
...
...
%{_libdir}/themonospot/%{name}.exe
%{_libdir}/themonospot/libqyotoshared.so <- add
....
===============================================================

* Occasional build failure
  - By the way build sometimes fails randomly:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1939220
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1939195
    And bug 555490

    It seems that parallel make is failing. Would you
    disable parallel make (i.e. remove %{?_smp_mflags})
    with adding some comments like "parallel make sometimes fails" ?
    (also please remove parallel make also other themonospot- packages
     on devel and rebuild them. You can fix F-11/12 packages
     when new versions are released).

Comment 8 Mamoru TASAKA 2010-01-31 12:12:16 UTC
ping?

Comment 9 Mamoru TASAKA 2010-02-16 16:33:10 UTC
ping again?

Comment 10 Mamoru TASAKA 2010-02-27 15:27:08 UTC
Again ping?

Comment 11 Mamoru TASAKA 2010-03-12 16:26:35 UTC
I will close this bug if no response from the reporter is
received within ONE WEEK.

Comment 12 Armando Basile 2010-03-14 20:01:13 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-qt.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-qt-0.1.3-5.fc12.src.rpm

changed:
- removed %{?_smp_mflags} from make command

PS: sorry for time of my response, but i have a work target for end of march in production area. I'm going to change all others themonospot-...

Comment 13 Mamoru TASAKA 2010-03-15 17:12:04 UTC
Would you examine what is happening with this?
http://koji.fedoraproject.org/koji/taskinfo?taskID=2054043

build fails on (at least) F-13 i686.

Comment 14 Armando Basile 2010-03-15 17:56:41 UTC
i had same error on themonospot-gui-gtk 
https://koji.fedoraproject.org/koji/taskinfo?taskID=2052353

but is very strange, i don't modify anything and i also use
$ make i386
to test build process with success

Comment 15 Mamoru TASAKA 2010-03-15 18:05:29 UTC
Note that

[tasaka1@localhost ~]$ koji latest-pkg dist-f13-build mono
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
mono-2.6.1-1.fc13                         dist-f13              pfj
[tasaka1@localhost ~]$ koji latest-pkg dist-f12-build mono
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
mono-2.4.3.1-1.fc12                       dist-f12-updates      chkr

So something may be wrong with mono itself, however I am not familiar
with mono.

Comment 16 Armando Basile 2010-03-15 18:07:06 UTC
i tryed 2 minutes ago and build process completed successfully for
themonospot-gui-gtk

Comment 17 Mamoru TASAKA 2010-03-15 18:35:14 UTC
Well, build succeeds on F-12/14 but fails on F-13. 
With mono-2.6.1-2.fc13 which is in F-13-testing build may
succeeds (or may not), I will try later.

Comment 18 Mamoru TASAKA 2010-03-17 07:37:01 UTC
Hi:

With mono-2.6.1-2.fc13 themonospot-gui-gt does compile, however
still due to bug 551860 themonospot-qt does not run.
Would you consider to apply the workaround I descrived in
my comment 7?

Comment 19 Mamoru TASAKA 2010-03-25 16:38:27 UTC
ping again?

Comment 20 Armando Basile 2010-03-25 17:07:18 UTC
> Would you consider to apply the workaround I descrived in my comment 7?
yes, but please, have patience, next week i should stay in Geneve, so i modify it for mid-April

Comment 21 Armando Basile 2010-04-02 20:43:12 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-gui-qt.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-gui-qt-0.1.3-6.fc12.src.rpm

changed:
- workaround for bug 551860, Qyoto.Qt requires unversioned libqyotoshared.so

Comment 22 Mamoru TASAKA 2010-04-04 16:23:28 UTC
Okay.

--------------------------------------------------------------
    This package (themonospot-gui-qt) is APPROVED by mtasaka
--------------------------------------------------------------

Comment 23 Armando Basile 2010-04-05 19:06:19 UTC
New Package CVS Request
=======================
Package Name: themonospot-gui-qt
Short Description: Qt gui to scan multimedia files using themonospot-base component
Owners: hman-it
Branches: F-11 F-12
InitialCC: mtasaka
Cvsextras Commits: yes

Comment 24 Mamoru TASAKA 2010-04-05 19:39:11 UTC
Please add request for F-13 and set fedora-cvs flag to ?

Comment 25 Armando Basile 2010-04-05 19:56:04 UTC
New Package CVS Request
=======================
Package Name: themonospot-gui-qt
Short Description: Qt gui to scan multimedia files using themonospot-base
component
Owners: hman-it
Branches: F-11 F-12 F-13
InitialCC: mtasaka
Cvsextras Commits: yes

Comment 26 Kevin Fenzi 2010-04-08 02:24:46 UTC
CVS done (by process-cvs-requests.py).

Comment 27 Fedora Update System 2010-04-15 20:32:10 UTC
themonospot-gui-qt-0.1.3-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/themonospot-gui-qt-0.1.3-6.fc12

Comment 28 Fedora Update System 2010-04-15 20:32:16 UTC
themonospot-gui-qt-0.1.3-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/themonospot-gui-qt-0.1.3-6.fc11

Comment 29 Fedora Update System 2010-04-15 20:32:20 UTC
themonospot-gui-qt-0.1.3-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/themonospot-gui-qt-0.1.3-6.fc13

Comment 30 Mamoru TASAKA 2010-04-16 17:03:52 UTC
Now closing.

Comment 31 Fedora Update System 2010-04-16 23:30:06 UTC
themonospot-gui-qt-0.1.3-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2010-04-16 23:36:22 UTC
themonospot-gui-qt-0.1.3-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2010-04-16 23:50:22 UTC
themonospot-gui-qt-0.1.3-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.